%define product		ATContentTypes
%define realVersion	1.0.3
%define rel		1

%define zope_minver	2.7

%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

%define ver %(echo %{realVersion} | sed -e 's/-/./g')
%define sVersion %(echo %{realVersion} | cut -d- -f1)

Summary:	ATCT is a feature improved reimplementation of the default CMF/Plone content types using Archetypes
Name:		zope-%{product}
Version:	%{ver}
Release:	%mkrel %{rel}
License:	GPL
Group:		System/Servers
Source:		http://plone.org/products/atcontenttypes/releases/%{sVersion}/ATContentTypes-%{realVersion}.tar.bz2
URL:		http://plone.org/products/atcontenttypes/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	zope >= %{zope_minver}
Requires:	zope-Archetypes
Requires:	plone
Requires:	zope-ATReferenceBrowserWidget

%description
Comparing CMF types with ATContentTypes

 This is a very roughe and short list of differences between the old CMF types
 and the new ATContentTypes types.

  * Archetypes: All types are written with Archetypes and have all features
    default Archetypes based types have like:

     o autogenerated edit forms based on the schema

     o referenceable

     o Easily enhanceable by subclassing or adding fields to the schema

     o Transformations like restructured text, python source code
       highlighting, pdf to html, office to html and many more.

     o plugable validation of fields

  * Clean and documented API.

  * Translateable using LinguaPlone.

  * TemplateMixin: All types are using the template feature of Archetypes
    that allows you to choose the view template per instance. Simply register
    your template, assign it to a type and choose it in the edit form of
    your object. This features is used to turn an ordinary folder into a
    photo ablum by simple switching to a different view.

  * Permissions per type and feature: Every type has its own add permission
    and all features like template mixin have their own modify permission, too.

  * Numerous small adjustments and enhancements to all types for example:

    o Images can be rotated through the web and have exif informations

    o News Items have an image plus caption

    o Events have a body text

    o Documents have a history tab to show the last changes as an unified
      diff view using the ZODB history.



%prep
%setup -c

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(-, root, root, 0755)
%{software_home}/Products/*


%changelog
* Sat Mar  4 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.3-1mdk
- 1.0.3
- drop patch0 (merged upstream)

* Sun Oct 23 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.1.final-2mdk
- patch0: replace whrandom by random
- add requirement

* Sat Oct 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.1.final-1mdk
- New release 1.0.1-final
- fix URL and source URL

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.2.0.final-2mdk
- fix path on x86_64

* Sat May 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.2.0.final.1mdk
- initial package




